Name: python-module-pyao
Version: 0.82
Release: alt3

Summary: A Python module for the ao library
Group: Development/Python
License: GPL
Url: http://www.andrewchatham.com/pyogg

Packager: Dmitry Vukolov <dav@altlinux.ru>

%setup_python_module pyao

Source: %url/download/%modulename-%version.tar.gz

%define libao_ver 0.8.5

Requires: libao >= %libao_ver

Provides: pyao = %version
Obsoletes: pyao

BuildPreReq: libao-devel >= %libao_ver

# Automatically added by buildreq on Mon Jul 19 2004
BuildRequires: libao-devel python-base python-dev python-modules-encodings

%description
%name is a wrapper for libao, an audio device abstraction library.

%package devel
Summary: %name header and example program
Group: Development/Python
Requires: %name = %version-%release
Provides: pyao-devel = %version
Obsoletes: pyao-devel

%description devel
%name is a wrapper for libao, an audio device abstraction library.

Install %name-devel if you need the API documentation and example
program.

%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages
%define python_includedir %_includedir/python%__python_version

%prep
%setup -q -n %modulename-%version

%build
export CFLAGS="$RPM_OPT_FLAGS"
%__python config_unix.py --prefix /usr
%__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2

%__chmod -x test.py
%__install -pD -m644 src/aomodule.h %buildroot%python_includedir/aomodule.h

%files
%python_site_packages_dir/*.so
%doc AUTHORS ChangeLog README

%files devel
%python_includedir/aomodule.h
%doc test.py

%changelog
* Fri Mar 25 2005 Dmitry Vukolov <dav@altlinux.ru> 0.82-alt3
- rebuilt with python 2.4
- added pyao Provides and Obsoletes

* Mon Jul 19 2004 Dmitry Vukolov <dav@altlinux.ru> 0.82-alt2
- renamed package from pyao to python-module-pyao
- repackaged according to the new python policy

* Fri May 07 2004 Dmitry Vukolov <dav@altlinux.ru> 0.82-alt1
- version 0.82

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.81-alt1
- First build for Sisyphus.

